<?php

namespace App\FormModel\api\v1;

use App\FormModel\api\BaseModel;
use App\Model\AppUser;

class UserModel extends BaseModel
{

    public function register()
    {
        $query = new AppUser();
        $query->name = $this->_request->post('name');
        $query->password = md5($this->_request->post('password'));
        $query->email = $this->_request->post('email');
        $query->unique_id = uniqid("", true);
        $query->save();
    }
}